cpw.mods.fml.common.discovery.asm

## Class ModAnnotationVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - cpw.mods.fml.common.discovery.asm.ModAnnotationVisitor

-     public class ModAnnotationVisitor
      extends org.objectweb.asm.AnnotationVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModAnnotationVisitor(ASMModParser discoverer)`
    `ModAnnotationVisitor(ASMModParser discoverer, boolean isSubAnnotation)`
    `ModAnnotationVisitor(ASMModParser discoverer, String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(String key, Object value)`
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(String name, String desc)`
    `org.objectweb.asm.AnnotationVisitor` | `visitArray(String name)`
    `void` | `visitEnd()`
    `void` | `visitEnum(String name, String desc, String value)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModAnnotationVisitor

          public ModAnnotationVisitor(ASMModParser discoverer)

    - #### ModAnnotationVisitor

          public ModAnnotationVisitor(ASMModParser discoverer,
                              String name)

    - #### ModAnnotationVisitor

          public ModAnnotationVisitor(ASMModParser discoverer,
                              boolean isSubAnnotation)

  - ### Method Detail

    - #### visit

          public void visit(String key,
                   Object value)

      Overrides:
        `visit` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitEnum

          public void visitEnum(String name,
                       String desc,
                       String value)

      Overrides:
        `visitEnum` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitArray

          public org.objectweb.asm.AnnotationVisitor visitArray(String name)

      Overrides:
        `visitArray` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(String name,
                                                            String desc)

      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitEnd

          public void visitEnd()

      Overrides:
        `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`